import org.junit.Before;
import org.junit.Test;
import org.junit.Assert;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        hamletParser.changeHamletToLeon();
        Assert.assertFalse(hamletParser.findHamlet());
    }

    @Test
    public void testChangeHoratioToTariq() {
        hamletParser.changeHoratioToTariq();
        Assert.assertFalse(hamletParser.findHoratio());

    }

    @Test
    public void testFindHoratio() {
        boolean exp = hamletParser.findHoratio();
        Assert.assertTrue(exp);
    }

    @Test
    public void testFindHamlet() {
        boolean exp = hamletParser.findHamlet();
        Assert.assertTrue(exp);
    }
}